<?php

namespace App\Models\Events;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class EventRealization extends Eloquent {

	protected $table = 'event_realizations';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('public');

	public function getFacts()
	{
		return $this->belongsTo('Events');
	}

	public function getAttendances()
	{
		return $this->hasMany('Attendance');
	}

	public function getChallengeElements()
	{
		return $this->hasMany('ChallengeElement');
	}

}