<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class InvolvementTypes extends Eloquent {

	protected $table = 'involvement_types';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];

	public function getEpisodeTypes()
	{
		return $this->belongsToMany('EpisodeType', 'episode_type_involvement');
	}

	public function getEventFacts()
	{
		return $this->belongsToMany('Events', 'event_facts_involvement');
	}

	public function getChallenges()
	{
		return $this->belongsToMany('Challenge', 'challenge_involvement');
	}

	public function getQuizes()
	{
		return $this->hasMany('Quiz');
	}

	public function getActivities()
	{
		return $this->hasMany('Activity');
	}

}